# Titicaca ECS Scripts

ECS 운영 편의를 위한 스크립트 `ee`를 제공합니다.

## Setup

AWS CLI를 이용할 환경이 갖춰져야 합니다. `~/.aws` 디렉토리에 크레덴셜이 보관되어
있거나, `AWS_ACCESS_KEY_ID`/`AWS_SECRET_ACCESS_KEY` 환경 변수가 있어야 합니다.

## Commands

### `run-task [command..]`

주어진 task definition family의 최신 revision을 이용해 task를 실행합니다.

클러스터 이름이 주어지지 않으면 해당하는 task definition이 실행중인 클러스터를
찾아, 그 클러스터를 task 실행에 사용합니다. 대부분의 경우 `-c` 옵션은 명시하지
않아도 될 것으로 예상합니다.

### `get-config`

주어진 task definition family의 최신 revision이 가진 환경 변수를 출력합니다.

### `set-config [key] [value]`

주어진 task definition family의 최신 revision이 가진 환경 변수 `[key]`를
`[value]`로 갱신합니다. 환경 변수가 존재하지 않으면 새 환경 변수를 만듭니다.

### `restart`

주어진 task definition family의 최신 revision과 같은 정보로 task definition을
갱신하고, 서비스를 업데이트합니다. 그 결과로 모든 서비스의 프로세스가 gracefully
재시작됩니다.

### `deploy [tag]`

명시한 이미지 태그로 주어진 task definition family의 revision을 갱신합니다.
갱신한 task definition으로 서비스를 업데이트합니다.

#### 옵션

  - `-t`, `--task-definition`: Task definition family (필수)
  - `-c`, `--cluster`: 커맨드를 실행할 클러스터
  - `-r`, `--region`: AWS region (기본값 `ap-northeast-1`)

사용예:

```
# ee run-task -t uros-rails-dev rake routes
```

## Publish

### bump up version
```
npm version prerelease
```

### publish
```
npm publish
```
