"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const aws_sdk_1 = require("aws-sdk");
const ecsInstances = {};
const cloudwatchLogsInstances = {};
function getECSInstance(region) {
    if (!ecsInstances[region]) {
        aws_sdk_1.config.update({ region });
        ecsInstances[region] = new aws_sdk_1.ECS();
    }
    return ecsInstances[region];
}
exports.getECSInstance = getECSInstance;
function getCloudWatchLogsInstance(region) {
    if (!cloudwatchLogsInstances[region]) {
        aws_sdk_1.config.update({ region });
        cloudwatchLogsInstances[region] = new aws_sdk_1.CloudWatchLogs();
    }
    return cloudwatchLogsInstances[region];
}
exports.getCloudWatchLogsInstance = getCloudWatchLogsInstance;
//# sourceMappingURL=aws-client.js.map