"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@oclif/command");
const _types_1 = require("../_types");
const aws_client_1 = require("../aws-client");
const update_active_services_1 = require("../update-active-services");
const update_task_definition_1 = require("../update-task-definition");
class Deploy extends command_1.Command {
    async run() {
        // tslint:disable-next-line:no-shadowed-variable
        const { args, flags } = this.parse(Deploy);
        const ecs = aws_client_1.getECSInstance(flags.region);
        const taskDefinition = await update_task_definition_1.default(ecs, Object.assign({}, flags, { tag: args.tag }));
        console.log(`New task definition: ${taskDefinition.family}:${taskDefinition.revision}, ${taskDefinition.taskDefinitionArn}`);
        const services = await update_active_services_1.default(ecs, taskDefinition);
        services.forEach(({ serviceName }) => console.log(`Updated ${serviceName}`));
    }
}
Deploy.description = 'deploy a new version of a specified service';
Deploy.flags = _types_1.defaultFlags;
Deploy.args = [{ name: 'tag', required: true }];
exports.default = Deploy;
//# sourceMappingURL=deploy.js.map