"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@oclif/command");
const _types_1 = require("../_types");
const aws_client_1 = require("../aws-client");
const get_config_1 = require("../get-config");
class GetConfig extends command_1.Command {
    async run() {
        // tslint:disable-next-line:no-shadowed-variable
        const { flags } = this.parse(GetConfig);
        const ecs = aws_client_1.getECSInstance(flags.region);
        const configs = await get_config_1.default(ecs, flags);
        configs.forEach(({ name, value }) => console.log(`${name}: ${value}`));
    }
}
GetConfig.description = 'fetch configuration variables';
GetConfig.flags = _types_1.defaultFlags;
exports.default = GetConfig;
//# sourceMappingURL=get-config.js.map