"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@oclif/command");
const _types_1 = require("../_types");
const aws_client_1 = require("../aws-client");
const run_task_1 = require("../run-task");
class RunTask extends command_1.Command {
    async run() {
        // tslint:disable-next-line:no-shadowed-variable
        const { args, argv, flags } = this.parse(RunTask);
        const ecs = aws_client_1.getECSInstance(flags.region);
        await run_task_1.default(ecs, Object.assign({}, flags, { command: argv, memoryReservation: +args.memoryReservation }));
    }
}
RunTask.description = 'run a task';
RunTask.flags = Object.assign({}, _types_1.defaultFlags, { memoryReservation: command_1.flags.string({ char: 'm' }) });
RunTask.args = [
    { name: 'commandArg1' },
    { name: 'commandArg2' },
    { name: 'commandArg3' },
    { name: 'commandArg4' },
    { name: 'commandArg5' },
    { name: 'commandArg6' },
    { name: 'commandArg7' },
    { name: 'commandArg8' },
    { name: 'commandArg9' },
];
exports.default = RunTask;
//# sourceMappingURL=run-task.js.map