"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@oclif/command");
const _types_1 = require("../_types");
const aws_client_1 = require("../aws-client");
const set_config_1 = require("../set-config");
const update_active_services_1 = require("../update-active-services");
class SetConfig extends command_1.Command {
    async run() {
        // tslint:disable-next-line:no-shadowed-variable
        const { args, flags } = this.parse(SetConfig);
        const ecs = aws_client_1.getECSInstance(flags.region);
        const taskDefinition = await set_config_1.default(ecs, Object.assign({}, flags, args));
        console.log(`New task definition: ${taskDefinition.family}:${taskDefinition.revision}, ${taskDefinition.taskDefinitionArn}`);
        const services = await update_active_services_1.default(ecs, taskDefinition);
        services.forEach(({ serviceName }) => console.log(`Updated ${serviceName}`));
    }
}
SetConfig.description = 'set configuration variables';
SetConfig.flags = _types_1.defaultFlags;
SetConfig.args = [
    { name: 'key', required: true },
    { name: 'value', required: true },
];
exports.default = SetConfig;
//# sourceMappingURL=set-config.js.map