"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
async function getConfig(ecs, { taskDefinition: familyPrefix }) {
    const { taskDefinitionArns: taskDefinitions } = await ecs
        .listTaskDefinitions({ familyPrefix, sort: 'DESC' })
        .promise();
    if (!taskDefinitions || taskDefinitions.length === 0) {
        throw new Error('No task definitions are found');
    }
    const { taskDefinition, } = await ecs
        .describeTaskDefinition({ taskDefinition: taskDefinitions[0] })
        .promise();
    return taskDefinition.containerDefinitions[0].environment;
}
exports.default = getConfig;
//# sourceMappingURL=get-config.js.map