"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
async function listServices(ecs, { cluster, nextToken }) {
    const { serviceArns, nextToken: newNextToken } = await ecs
        .listServices({ cluster, nextToken })
        .promise();
    const { services } = await ecs
        .describeServices({ cluster, services: serviceArns })
        .promise();
    if (newNextToken) {
        return services.concat(await listServices(ecs, { cluster, nextToken: newNextToken }));
    }
    return services;
}
exports.default = listServices;
//# sourceMappingURL=list-services.js.map